Summary:        Tool to analyse BIOS DMI data
Name:           dmidecode
Version:        3.5
Release:        3%{?dist}
License:        GPLv2+
URL:            https://www.nongnu.org/dmidecode/
Source0:        https://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  gcc make
ExclusiveArch:  x86_64  aarch64 loongarch64

%description
dmidecode reports information about x86 & arm64 hardware as described in the
system BIOS according to the SMBIOS/DMI standard. This information
typically includes system manufacturer, model name, serial number,
BIOS version, asset tag as well as a lot of other details of varying
level of interest and reliability depending on the manufacturer.

This will often include usage status for the CPU sockets, expansion
slots (e.g. AGP, PCI, ISA) and memory module slots, and the list of
I/O ports (e.g. serial, parallel, USB).

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}"

%install
%make_install %{?_smp_mflags} prefix=%{_prefix} install-bin install-man

%files
%license LICENSE
%doc AUTHORS NEWS README
%{_sbindir}/dmidecode
%ifnarch aarch64 loongarch64
%{_sbindir}/vpddecode
%{_sbindir}/ownership
%{_sbindir}/biosdecode
%endif
%{_mandir}/man8/*

%changelog
* Tue Mar 19 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 3.5-3
- add loongarch64 support for dmidecode

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jun 21 2023 kianli <kianli@tencent.com> - 3.5-1
- Upgrade to 3.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 9 2022 Zhongze Hu <joshuahu@tencent.com> - 3.4-1
- init build

